// #######################################################################################
//
//  This is the german example for a language DLL. You can create your own language for 
//  uocm. If you create a "new" language please send the DLL or Source to webmaster@uocm.de
//  I will post this DLL on my page.
//
//  DLL Source Code Version 1.1
//
// #######################################################################################




//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
 return 1;
}
//---------------------------------------------------------------------------

// #######################################################################################
// MainInformation
// #######################################################################################


ShortString __export Developer="Darus";
ShortString __export Language="German";
ShortString __export Version="1.1";

// #######################################################################################
// MainForm
// #######################################################################################

ShortString __export ConfigurationCaption="Konfiguration";
ShortString __export AboutCaption="About";
ShortString __export ExitCaption="Exit";
unsigned int __export BackGroundColor=0x000000; // Black
unsigned int __export LeftPanelColor=clGray;
unsigned int __export TextBoxBackGround=clSilver;
unsigned int __export TextBoxFontColor=clNavy;

// #######################################################################################
// Autopatch Messages
// #######################################################################################
ShortString __export Autopatch_Title="*************** CLIENT UPDATE ***************";
ShortString __export Autopatch_ConfigProxy="Konfiguriere Proxy";
ShortString __export Autopatch_ReadingVersionInfo="Versionsinformationen werden heruntergeladen......";

ShortString __export Autopatch_BaseNewPatchAvailable="Es ist ein neuer Basis-Patch vorhanden";
ShortString __export Autopatch_BaseDownloadingArchiv="Archiv wird heruntergeladen......";
ShortString __export Autopatch_BaseDownloadSuccessfull="Download erfolgreich";
ShortString __export Autopatch_BaseDecompressData="Dekompremiere Daten";
ShortString __export Autopatch_BaseDecompessionSuccessfull="Dekompression erfolgreich";
ShortString __export Autopatch_BaseDecompessionUnSuccessfull="Dekompression NICHT erfolgreich";
ShortString __export Autopatch_BaseBasePatchAlreadyInstalled="Aktueller Basis-Patch bereits installiert.";

ShortString __export Autopatch_NewPatchAvailable="Es ist ein neuer Patch vorhanden";
ShortString __export Autopatch_DownloadingArchiv="Archiv wird heruntergeladen......";
ShortString __export Autopatch_DownloadSuccessfull="Download erfolgreich";
ShortString __export Autopatch_DecompressData="Dekompremiere Daten";
ShortString __export Autopatch_DecompessionSuccessfull="Dekompression erfolgreich";
ShortString __export Autopatch_DecompessionUnSuccessfull="Dekompression NICHT erfolgreich";
ShortString __export Autopatch_BasePatchAlreadyInstalled="Aktueller Patch bereits installiert.";
ShortString __export Autopatch_Feet="****************************************************";
ShortString __export Autopatch_ConnectionFailed="Verbindung fehlgeschlagen";

// #######################################################################################
// Backup Messages
// #######################################################################################
ShortString __export Backup_Message001="Kopiere Backup Datei : STATICS0.MUL ...";
ShortString __export Backup_Message001_Error001="FEHLER: Beim Kopieren der STATICS0.MUL ist ein Fehler aufgetreten";
ShortString __export Backup_Message001_Error002="FEHLER: Datei STATICS0.MUL hat eine falsche gre";

ShortString __export Backup_Message002="Kopiere Backup Datei : STAIDX0.MUL ...";
ShortString __export Backup_Message002_Error001="FEHLER: Beim Kopieren der STAIDX0.MUL ist ein Fehler aufgetreten";

ShortString __export Backup_Message003="Kopiere Backup Datei : MAP0.MUL ...";
ShortString __export Backup_Message003_Error001="FEHLER: Beim Kopieren der MAP0.MUL ist ein Fehler aufgetreten";

ShortString __export Backup_Message004="Kopiere Backup Datei : MULTI.IDX ...";
ShortString __export Backup_Message004_Error001="FEHLER: Beim Kopieren der MULTI.IDX ist ein Fehler aufgetreten";

ShortString __export Backup_Message005="Kopiere Backup Datei : MULTI.MUL ...";
ShortString __export Backup_Message005_Error001="FEHLER: Beim Kopieren der MULTI.MUL ist ein Fehler aufgetreten";
ShortString __export Backup_Message005_Error002="FEHLER: Datei MULTI.MUL hat eine falsche gre";

ShortString __export Backup_Message006="Kopiere Backup Datei : VERDATA.MUL ...";
ShortString __export Backup_Message006_Error001="FEHLER: Beim Kopieren der VERDATA.MUL ist ein Fehler aufgetreten";

// Patch Messages (OSI)
ShortString __export Title_Patch="Installiere Standard OSI Patch";

// Patch Messages (None OSI)
ShortString __export Title_PatchPart1="Installiere Patch von ";
// Displaying Shardname
ShortString __export Title_PatchPart2=" (Version : ";
// Displaying Version
ShortString __export Title_PatchPart3=")";


// #######################################################################################
// Checking
// #######################################################################################
ShortString __export Statics_Checking="Prfe vorhandene Datei(en)..... (Static)";
ShortString __export Statics_AllocatingMemory="Reserviere Speicher (~32 MB)";
ShortString __export Statics_StartPatching="Starte Patchvorgang (Static) ....";
ShortString __export Statics_CopyBaseFile1="Kopiere Basis STAIDX0.MUL ...";
ShortString __export Statics_CopyBaseFile1Error="FEHLER: Beim Kopieren der Basis STAIDX0.MUL ist ein Fehler aufgetreten";
ShortString __export Statics_CopyBaseFile2="Kopiere Basis STATICS0.MUL ...";
ShortString __export Statics_CopyBaseFile2Error="FEHLER: Beim Kopieren der Basis STATICS0.MUL ist ein Fehler aufgetreten";
ShortString __export Statics_CopyFile1="Kopiere STAIDX0.MUL ...";
ShortString __export Statics_CopyFile1Error="FEHLER: Beim Kopieren der STAIDX0.MUL ist ein Fehler aufgetreten";
ShortString __export Statics_CopyFile2="Kopiere STATICS0.MUL ...";
ShortString __export Statics_CopyFile2Error="FEHLER: Beim Kopieren der STATICS0.MUL ist ein Fehler aufgetreten";
// Displaying Shardname
ShortString __export Statics_Alreadyinstalled=" Statics Dateien sind bereits installiert.";


// #######################################################################################
// Checking
// #######################################################################################
ShortString __export Map_Checking="Prfe vorhandene Datei(en)..... (Map)";
ShortString __export Map_StartPatching="Starte Patchvorgang (Map) ....";
ShortString __export Map_AllocatingMemory="Reserviere Speicher ...";

ShortString __export Map_PatchingMapPart1="Patche Map .... (";
// Count from 1 to 4
ShortString __export Map_PatchingMapPart2="/4)";

ShortString __export Map_CopyBaseFile="Kopiere Basis MAP0.MUL ...";
ShortString __export Map_CopyBaseFileError="FEHLER: Beim Kopieren der Basis MAP0.MUL ist ein Fehler aufgetreten";
ShortString __export Map_CopyFile="Kopiere MAP0.MUL ...";
ShortString __export Map_CopyFileError="FEHLER: Beim Kopieren der MAP0.MUL ist ein Fehler aufgetreten";
// Displaying Shardname
ShortString __export Map_Alreadyinstalled=" Map Datei ist bereits installiert.";

// #######################################################################################
// Checking
// #######################################################################################
ShortString __export Multi_Checking="Prfe vorhandene Datei(en)..... (Multi)";
ShortString __export Multi_StartPatching="Starte Patchvorgang (Multi) ....";
ShortString __export Multi_CopyBaseFile1="Kopiere Basis MULTI.IDX ...";
ShortString __export Multi_CopyBaseFile1Error="FEHLER: Beim Kopieren der Basis MULTI.IDX ist ein Fehler aufgetreten";
ShortString __export Multi_CopyBaseFile2="Kopiere Basis MULTI.MUL ...";
ShortString __export Multi_CopyBaseFile2Error="FEHLER: Beim Kopieren der Basis MULTI.MUL ist ein Fehler aufgetreten";
ShortString __export Multi_CopyFile1="Kopiere MULTI.IDX ...";
ShortString __export Multi_CopyFile1Error="FEHLER: Beim Kopieren der MULTI.IDX ist ein Fehler aufgetreten";
ShortString __export Multi_CopyFile2="Kopiere MULTI.MUL ...";
ShortString __export Multi_CopyFile2Error="FEHLER: Beim Kopieren der MULTI.MUL ist ein Fehler aufgetreten";
// Displaying Shardname
ShortString __export Multi_Alreadyinstalled=" Multi Dateien sind bereits installiert.";

// #######################################################################################
// Checking
// #######################################################################################
ShortString __export Verdata_Checking="Prfe vorhandene Datei(en)..... (Verdata)";
ShortString __export Verdata_StartPatching="Starte Patchvorgang (Verdata) ....";
ShortString __export Verdata_CopyBaseFile="Kopiere Basis VERDATA.MUL ...";
ShortString __export Verdata_CopyBaseFileError="FEHLER: Beim Kopieren der Basis VERDATA.MUL ist ein Fehler aufgetreten";
ShortString __export Verdata_CopyFile="Kopiere VERDATA.IDX ...";
ShortString __export Verdata_CopyFileError="FEHLER: Beim Kopieren der VERDATA.IDX ist ein Fehler aufgetreten";
ShortString __export Verdata_Alreadyinstalled=" Verdata Datei ist bereits installiert.";

// #######################################################################################
// Config
// #######################################################################################

ShortString __export Patch_WriteIPinLogincfg="Schreibe IP in Datei : login.cfg";
ShortString __export Patch_WriteAccountinUOcfg="Schreibe Account in Datei : uo.cfg";
ShortString __export Patch_WritePasswordinUOcfg="Schreibe Password in Datei : uo.cfg";
ShortString __export Patch_PatchingSuccessfull="Patchvorgang beendet !";
ShortString __export Patch_StatingClient="Starte Client.....";
ShortString __export Patch_ClientNotFound="FEHLER: Client wurde nicht gefunden";

// #######################################################################################
// Errors
// #######################################################################################

ShortString __export System_ProgramIsNotInTheUODirectory="FEHLER: Das Programm befindet sich nicht im UO Verzeichnis";
ShortString __export System_TheUOClientMustClosed="FEHLER: Der Ultima Online Client muss geschlossen werden";

// #######################################################################################
//ConfigForm
// #######################################################################################
ShortString __export ConfigForm_TitleCaption="Konfiguration";
ShortString __export ConfigForm_AccountCaption="Accountname";
ShortString __export ConfigForm_PasswordCaption="Kennwort";
ShortString __export ConfigForm_PasswordHintCaption="Hinweis : Die Verschlsselung des Passworts ist SEHR unsicher !!!";
ShortString __export ConfigForm_ClientCaption="Client";
ShortString __export ConfigForm_PatchFileCaption="Patchfile";
ShortString __export ConfigForm_ShardnameCaption="Shardname";
ShortString __export ConfigForm_LocationCaption="Host,Port";
ShortString __export ConfigForm_RapairButtonCaption="Repair";
ShortString __export ConfigForm_NewButtonCaption="Neu";
ShortString __export ConfigForm_RemoveButtonCaption="Entfernen";
ShortString __export ConfigForm_ConnectionButtonCaption="Verbindung";
ShortString __export ConfigForm_CancelButtonCaption="Abbruch";
ShortString __export ConfigForm_OKButtonCaption="OK";


// #######################################################################################
//ConnectionForm
// #######################################################################################
ShortString __export ConnectionForm_TitleCaption="Verbindung";
ShortString __export ConnectionForm_BoxCaption="Proxy";
ShortString __export ConnectionForm_CheckBoxCaption="UseProxy";
ShortString __export ConnectionForm_ProxyCaption="Proxy";
ShortString __export ConnectionForm_PortCaption="Port";
ShortString __export ConnectionForm_OKButtonCaption="OK";


// #######################################################################################
//RepairForm
// #######################################################################################
ShortString __export RepairForm_TitleCaption="Reparatur";
ShortString __export RepairForm_BoxCaption="Pfad zur Ultima Online CD";
ShortString __export RepairForm_RepairButtonCaption="Repair";
ShortString __export RepairForm_OKButtonCaption="Abbruch";
ShortString __export RepairForm_Message="Diese Funktion repariert das Backup-Verzeichnis von UOCM. Es wird ca. 100 MB freier Festplattenspeicher auf dieser Partition bentigt.";

// #######################################################################################
// Repair Messages
// #######################################################################################
ShortString __export Repair_Message001="Kopiere Datei : STAIDX0.MUL ...";
ShortString __export Repair_Message001_Error001="FEHLER: Beim Kopieren der STAIDX0.MUL ist ein Fehler aufgetreten";
ShortString __export Repair_Message001_Error002="FEHLER: Dateiattribut konnte nicht gelscht werden";
ShortString __export Repair_Message001_Error003="FEHLER: Die Datei konnte an dem angegebenen Ort nicht gefunden werden";

ShortString __export Repair_Message002="Kopiere Datei : STATICS0.MUL ...";
ShortString __export Repair_Message002_Error001="FEHLER: Beim Kopieren der STATICS0.MUL ist ein Fehler aufgetreten";
ShortString __export Repair_Message002_Error002="FEHLER: Dateiattribut konnte nicht gelscht werden";
ShortString __export Repair_Message002_Error003="FEHLER: Die Datei konnte an dem angegebenen Ort nicht gefunden werden";

ShortString __export Repair_Message003="Kopiere Datei : MAP0.MUL ...";
ShortString __export Repair_Message003_Error001="FEHLER: Beim Kopieren der MAP0.MUL ist ein Fehler aufgetreten";
ShortString __export Repair_Message003_Error002="FEHLER: Dateiattribut konnte nicht gelscht werden";
ShortString __export Repair_Message003_Error003="FEHLER: Die Datei konnte an dem angegebenen Ort nicht gefunden werden";

ShortString __export Repair_Message004="Kopiere Datei : MULTI.IDX ...";
ShortString __export Repair_Message004_Error001="FEHLER: Beim Kopieren der MULTI.IDX ist ein Fehler aufgetreten";
ShortString __export Repair_Message004_Error002="FEHLER: Dateiattribut konnte nicht gelscht werden";
ShortString __export Repair_Message004_Error003="FEHLER: Die Datei konnte an dem angegebenen Ort nicht gefunden werden";

ShortString __export Repair_Message005="Kopiere Datei : MULTI.MUL ...";
ShortString __export Repair_Message005_Error001="FEHLER: Beim Kopieren der MULTI.MUL ist ein Fehler aufgetreten";
ShortString __export Repair_Message005_Error002="FEHLER: Dateiattribut konnte nicht gelscht werden";
ShortString __export Repair_Message005_Error003="FEHLER: Die Datei konnte an dem angegebenen Ort nicht gefunden werden";

ShortString __export Repair_Message006="Kopiere Datei : VERDATA.MUL ...";
ShortString __export Repair_Message006_Error001="FEHLER: Beim Kopieren der VERDATA.MUL ist ein Fehler aufgetreten";
ShortString __export Repair_Message006_Error002="FEHLER: Dateiattribut konnte nicht gelscht werden";
ShortString __export Repair_Message006_Error003="FEHLER: Die Datei konnte an dem angegebenen Ort nicht gefunden werden";

